Create Dataset Version
POSThttps://api.confident-ai.com/v1/datasets/{alias}/versions
Snapshots the current state of the dataset as a new immutable version. If this is the first version, all existing unversioned goldens are backfilled onto it. Subsequent versions snapshot all goldens from the previous version (with new IDs).
curl -X POST "https://api.confident-ai.com/v1/datasets/{alias}/versions" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "abc-123",
"version": "00.00.02"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the dataset.
Response
successbooleanIndicates if the request was successful
dataobjectShow 2 propertiesHide 2 properties
idstringversionstring
Built byConfident AI